
"""
Created on Mon Dec 14 21:49:55 2020

@author: Benjamin
"""
import numpy as np
import scipy.optimize as spo
from matplotlib import pyplot as plt   
plt.rcParams['axes.grid'] = True       #Paramètre esthétique, peut être retiré
plt.rcParams['savefig.format'] = 'png' #On peut sélectionner pdf si on aime les images vectorielles
#params = {'text.usetex': True}
#plt.rcParams.update(params)

#plt.close("all")

def k(w,p):
    return np.sqrt(w**2-p**2)

w=np.linspace(0,7,5000)
w1=np.linspace(1,7,5000)
w2=np.linspace(2,7,5000)
w3=np.linspace(3,7,5000)
w4=np.linspace(4,7,5000)


plt.plot(w,w,"k--",label="$k=\\frac{\\omega}{c}$")
plt.plot(w1,k(w1,1),label="p=1")
plt.plot(w2,k(w2,2),label="p=2")
plt.plot(w3,k(w3,3),label="p=3")
plt.plot(w4,k(w4,4),label="p=4")
plt.show()

size=18
plt.annotate('$k=\\sqrt{\\frac{\\omega^2}{c^2}-\\left( \\frac{p\\pi}{a} \\right)^2}$',(1,5),fontsize=size)
plt.ylabel("$k=\\frac{2\\pi}{\\lambda}$",fontsize=size)
plt.legend(loc="lower right",fontsize=12)
plt.xlabel("Pulsation "+ "$\\omega$",fontsize=size)
plt.title("Relation de dispersion",fontsize=size)
plt.xlim(0,7)
plt.ylim(0,7)
plt.yticks([])
plt.xticks([])

plt.show()